<div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title clearfix">
                    <div class="pull-left">
                       <a ng-click="vm.bulkInfo()">
                           <h4 class="pcursor">
                              <i class="fa fa-info"></i>
                              <label><u>Click here for help</u></label>
                          </h4>
                       </a>
                    </div>
                    <div class="pull-right" style="margin-top: -5px;">
                        <a ui-sref="home.items.create" class="btn btn-sm btn-info ">
                            <i class="fa fa-plus"></i>
                            Create new item
                        </a>
                    </div>
                </div>

                <div class="ibox-content clearfix">
                    <!-- Items FILTER -->
                    <div class="row">
                        <div class="form-group col-sm-9 col-xs-12">
                            <input type="text" class="form-control" ng-model="vm.meta.query"
                                   placeholder="Search for an item"
                                   ng-change="vm.read({page: 1})"/>
                        </div>
                        <div class="col-sm-3 col-xs-12">
                            <ui-select ng-model="vm.meta.limit"
                                       theme="bootstrap"
                                       on-select="vm.read({page: 1})">
                                <ui-select-match>display {{$select.selected}} items per page</ui-select-match>
                                <ui-select-choices repeat="limit in vm.limits">
                                    display {{::limit}} items per page
                                </ui-select-choices>
                            </ui-select>
                        </div>
                    </div>
                    <!-- /Items FILTER -->
                    <div class="row" >
                        <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3 col-xl-2">
                                <div ng-model="vm.file"
                                    ngf-select="vm.bulk(vm.file, 'Upload')"
                                    ngf-pattern="'.xls,.csv,.xlsx'" accept=".xls,.csv,.xlsx" 
                                    ng-disabled="uploadSubmitted">
                                    <a class="btn btn-sm btn-primary">
                                        <i class="fa fa-upload"></i> Bulk upload new items
                                    </a>
                                </div>
                            <label>
                                <a href="{{ vm.template + 'items.upload'}}" 
                                   download="items.upload.example.xlsx">example.xlsx</a>
                            </label>
                        </div>

                        <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3 col-xl-2">
                                <div ng-model="vm.file"
                                    ngf-select="vm.bulk(vm.file, 'Update')"
                                    ngf-pattern="'.xls,.csv,.xlsx'" accept=".xls,.csv,.xlsx" 
                                    ng-disabled="uploadSubmitted">
                                    <a class="btn btn-sm btn-primary">
                                        <i class="fa fa-upload"></i> Bulk update items
                                    </a>
                                </div>
                            <label>
                                <a href="{{ vm.template + 'items.update' }}"
                                   download="items.update.example.xlsx">example.xlsx</a>
                            </label>
                        </div>

                        <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3 col-xl-3">
                            <a class="btn btn-sm btn-info ng-scope" ui-sref="home.reports">
                                <i class="fa fa-th-list"></i> View bulk upload history
                            </a>
                        </div>
                         <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3 col-xl-3" ng-if="vm.report && !uploadSubmitted">
                            <a class="btn btn-sm btn-warning ng-scope" ng-href="{{ vm.report }} ">
                                <i class="fa fa-download"></i> Load last report
                            </a>
                        </div>
                    </div>
                    <hr/>
                    <!--ITEMS LIST-->
                    <div id="grid1" ui-grid="vm.gridOptions" ui-grid-auto-resize ng-style="{'height': height + 'px'}" class="grid height-transition"></div>
                    <!--/ITEMS LIST-->

                    <!--pagination-->
                    <div class="col-sm-12 text-center">
                        <uib-pagination ng-if="vm.meta.totalCount > vm.meta.limit" total-items="vm.meta.totalCount" items-per-page="vm.meta.limit" ng-model="vm.meta.page"
                                        max-size="10" ng-change="vm.read()"></uib-pagination>
                    </div>
                    <!--/pagination-->
                </div>
            </div>
        </div>
    </div>
</div>
